<?php
/**
 * Funeral Services: Block Patterns
 *
 * @since Funeral Services 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Funeral Services 1.0
 *
 * @return void
 */
function funeral_services_register_block_patterns() {
	$funeral_services_block_pattern_categories = array(
		'funeral-services'    => array( 'label' => __( 'Funeral Services', 'funeral-services' ) ),
	);

	$funeral_services_block_pattern_categories = apply_filters( 'funeral_services_block_pattern_categories', $funeral_services_block_pattern_categories );

	foreach ( $funeral_services_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'funeral_services_register_block_patterns', 9 );
